Bug 246662 - net-im/jitsi-videobridge: add dependency on bash
Summary: net-im/jitsi-videobridge: add dependency on bash
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-22 15:22 UTC by kaltheat
Modified: 2020-05-27 06:19 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (acm)


Attachments
svn diff patch (328 bytes, patch)
2020-05-27 06:19 UTC, kaltheat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kaltheat 2020-05-22 15:22:29 UTC
Hi,

currently I use
  jitsi-videobridge-2.1.183_2
from latest package repo on FreeBSD 11.3-RELEASE-p9.

When I use videobridge without
  shells/bash
installed, I get

2020-05-21 22:53:31.700 WARNING: [11] UlimitCheck.printUlimits#111: Running with open files limit null (hard null), thread limit null (hard null). These values are too low and they will limit the number of participants that the bridge can serve simultaneously.

This has to do with

  https://github.com/jitsi/jitsi-videobridge/blob/master/src/main/java/org/jitsi/videobridge/util/UlimitCheck.java#L44

Please add shells/bash as a runtime-dependency to avoid this warning.

Kind regards,
kaltheat
Comment 1 kaltheat 2020-05-27 06:19:17 UTC
Created attachment 214902 [details]
svn diff patch

this should do it